## hb-map hb-map — Object representing integer to integer mapping |

## Functions

hb_bool_t | hb_map_allocation_successful ()
void | hb_map_clear ()
hb_map_t * | hb_map_create ()
void | hb_map_del ()
void | hb_map_destroy ()
hb_codepoint_t | hb_map_get ()
hb_map_t * | hb_map_get_empty ()
unsigned int | hb_map_get_population ()
void * | hb_map_get_user_data ()
hb_bool_t | hb_map_has ()
hb_bool_t | hb_map_is_empty ()
hb_map_t * | hb_map_reference ()
void | hb_map_set ()
hb_bool_t | hb_map_set_user_data ()

## Types and Values

#define | HB_MAP_VALUE_INVALID
typedef | hb_map_t

## Object Hierarchy

        GBoxed
        ╰── hb_map_t

## Includes

    #include <hb.h>

## Description

Map objects are integer-to-integer hash-maps. Currently they are not used in the HarfBuzz public API, but are provided for client's use if desired.

## Functions

### hb_map_allocation_successful ()

    hb_bool_t
    hb_map_allocation_successful (const hb_map_t *map);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_clear ()

    void
    hb_map_clear (hb_map_t *map);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_create ()

    hb_map_t *
    hb_map_create (void);

[Xconstructor]

#### Returns

.

[transfer full]

Since: 1.7.7

### hb_map_del ()

    void
    hb_map_del (hb_map_t *map,
                hb_codepoint_t key);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_destroy ()

    void
    hb_map_destroy (hb_map_t *map);

[skip]

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_get ()

    hb_codepoint_t
    hb_map_get (const hb_map_t *map,
                hb_codepoint_t key);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_get_empty ()

    hb_map_t *
    hb_map_get_empty (void);

#### Returns

.

[transfer full]

Since: 1.7.7

### hb_map_get_population ()

    unsigned int
    hb_map_get_population (const hb_map_t *map);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_get_user_data ()

    void *
    hb_map_get_user_data (hb_map_t *map,
                          hb_user_data_key_t *key);

[skip]

#### Parameters

map | a map. |

#### Returns

.

[transfer none]

Since: 1.7.7

### hb_map_has ()

    hb_bool_t
    hb_map_has (const hb_map_t *map,
                hb_codepoint_t key);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_is_empty ()

    hb_bool_t
    hb_map_is_empty (const hb_map_t *map);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_reference ()

    hb_map_t *
    hb_map_reference (hb_map_t *map);

[skip]

#### Parameters

map | a map. |

#### Returns

.

[transfer full]

Since: 1.7.7

### hb_map_set ()

    void
    hb_map_set (hb_map_t *map,
                hb_codepoint_t key,
                hb_codepoint_t value);

#### Parameters

map | a map. |

Since: 1.7.7

### hb_map_set_user_data ()

    hb_bool_t
    hb_map_set_user_data (hb_map_t *map,
                          hb_user_data_key_t *key,
                          void *data,
                          hb_destroy_func_t destroy,
                          hb_bool_t replace);

[skip]

#### Parameters

map | a map. |

Since: 1.7.7

## Types and Values

### HB_MAP_VALUE_INVALID

    #define HB_MAP_VALUE_INVALID ((hb_codepoint_t) -1)

### hb_map_t

    typedef struct hb_map_t hb_map_t;